package reversie1_1.client.gui;

import java.awt.Dialog;
import java.awt.Button;
import java.awt.TextField;
import java.awt.Label;
import java.awt.Panel;
import java.awt.Frame;
import java.awt.BorderLayout;
import java.awt.FlowLayout;
import java.awt.GridLayout;

import reversie1_1.client._RevClientImpl;

class RegisterDialog extends Dialog
{
  public RegisterDialog(Frame parent,
		     _RevClientImpl client,
		     Button registerButton,
		     OkDialog okDialog)
  {
    super(parent, "Reversie User Registration", true);
    this.setLayout(new BorderLayout());

    //create the components for this dialog box
    //labels
    Label guestMessage = new Label("Choose a name and a password");
    TextField nameLabel = new TextField("Name", 8);
    TextField password1Label = new TextField("Password", 8);
    TextField password2Label = new TextField("Password", 8);
    nameLabel.setEditable(false);
    password1Label.setEditable(false);
    password2Label.setEditable(false);
      
    //textfields
    TextField nameReg = new TextField(20);
    TextField password1 = new TextField(20);
    TextField password2 = new TextField(20);
    password1.setEchoChar('*');
    password2.setEchoChar('*');
      
    //buttons
    Button okButton = new Button("  OK  ");
    Button cancelButton = new Button("Cancel");
    okButton.addActionListener(
		    new OkRegListener(client, this, registerButton,
				      nameReg, password1, password2,
				      okDialog));
    cancelButton.addActionListener(new CancelListener(this));
      
    Panel buttonPanel = new Panel(new FlowLayout());
    buttonPanel.add(okButton);
    buttonPanel.add(cancelButton);
    
    Panel g1 = new Panel(new FlowLayout());
    Panel g2 = new Panel(new FlowLayout());
    Panel g3 = new Panel(new FlowLayout());
    g1.add(nameLabel);
    g1.add(nameReg);
    g2.add(password1Label);
    g2.add(password1);
    g3.add(password2Label);
    g3.add(password2);
    
    Panel column = new Panel(new GridLayout(5,1));
    column.add(guestMessage);
    column.add(g1);
    column.add(g2);
    column.add(g3);
    column.add(buttonPanel);
    
    Panel all = new Panel(new BorderLayout());
    all.add(column, BorderLayout.WEST);
    all.validate();
    
    this.add(all, BorderLayout.NORTH);
    this.pack();
  }
}
