package reversie1_1.server.corba;


import ORG.omg.CORBA.*;
import EDU.rutgers.CORBA.IOP.IOR;
import EDU.rutgers.CORBA.clntsrv.PortableServer.ObjectReference;
import EDU.rutgers.act.presentation.TypeWriter;
import EDU.rutgers.act.presentation.TypeReader;

public class RevServerStub
  extends EDU.rutgers.CORBA.clntsrv.PortableServer.ObjectReference
  implements RevServer
{
  public RevServerStub(IOR ior)
    {
      super(ior);
    }

  public boolean _is_a(
          String logicalTypeId
  )
    {
      TypeWriter out = getTypeWriter("_is_a");
      boolean result = false;
      IOR ior;
      try {
        out.writeString(logicalTypeId);
        TypeReader in = getTypeReader();
        result = in.readBoolean();
      }
      catch(java.io.IOException e)
      {
        System.out.println("Marshaling/unmarshaling error: " + e);
        System.exit(1);
      }
      return result;
    }

  public short logUser(
          String name,
          String password,
          reversie1_1.client.corba.RevClient clRef
  )
    {
      TypeWriter out = getTypeWriter("logUser");
      short result = 0;
      IOR ior;
      try {
        out.writeString(name);
        out.writeString(password);
        ((ObjectReference)clRef).getIOR().write(out);
        TypeReader in = getTypeReader();
        result = in.readShort();
      }
      catch(java.io.IOException e)
      {
        System.out.println("Marshaling/unmarshaling error: " + e);
        System.exit(1);
      }
      return result;
    }

  public short logGuest(
          reversie1_1.client.corba.RevClient clRef
  )
    {
      TypeWriter out = getTypeWriter("logGuest");
      short result = 0;
      IOR ior;
      try {
        ((ObjectReference)clRef).getIOR().write(out);
        TypeReader in = getTypeReader();
        result = in.readShort();
      }
      catch(java.io.IOException e)
      {
        System.out.println("Marshaling/unmarshaling error: " + e);
        System.exit(1);
      }
      return result;
    }

  public boolean createUser(
          String name,
          String password,
          short id
  )
    {
      TypeWriter out = getTypeWriter("createUser");
      boolean result = false;
      IOR ior;
      try {
        out.writeString(name);
        out.writeString(password);
        out.writeShort(id);
        TypeReader in = getTypeReader();
        result = in.readBoolean();
      }
      catch(java.io.IOException e)
      {
        System.out.println("Marshaling/unmarshaling error: " + e);
        System.exit(1);
      }
      return result;
    }

  public void logout(
          short id
  )
    {
      TypeWriter out = getTypeWriter("logout");
      IOR ior;
      try {
        out.writeShort(id);
        TypeReader in = getTypeReader();
      }
      catch(java.io.IOException e)
      {
        System.out.println("Marshaling/unmarshaling error: " + e);
        System.exit(1);
      }
    }

}