package reversie1_1.client.gui;

import java.awt.Button;
import java.awt.TextField;
import java.awt.Dialog;
import java.awt.event.ActionListener;
import java.awt.event.ActionEvent;

import reversie1_1.client._RevClientImpl;

class OkListener implements ActionListener 
{
  _RevClientImpl client_;
  TextField name_, password_;
  Dialog dialog_;
  Button loginButton_, registerButton_;
  LoginListener loginListener_;
  LogoutListener logoutListener_;
  OkDialog okDialog_;
  
  public OkListener(_RevClientImpl client,
		    TextField name, 
		    TextField password,
		    Dialog dialog,
		    Button loginButton,
		    Button registerButton,
		    LoginListener loginListener,
		    LogoutListener logoutListener,
		    OkDialog okDialog)
    {
      client_ = client;
      name_ = name;
      password_ = password;
      dialog_ = dialog;
      loginButton_ = loginButton;
      registerButton_ = registerButton;
      loginListener_ = loginListener;
      logoutListener_ = logoutListener;
      okDialog_ = okDialog;
    }
  
  public void actionPerformed(ActionEvent e)
    {
      if(client_.login(name_.getText(), password_.getText()))
	{
	  dialog_.setEnabled(false);
	  dialog_.setVisible(false);
	  if(client_.isGuest())
	    {
	      registerButton_.setEnabled(true);
	    }
	  
	  loginButton_.removeActionListener(loginListener_);
	  loginButton_.addActionListener(logoutListener_);
	  loginButton_.setLabel("Logout");
	}
      else
	{
	  okDialog_.setText("Invalid name or password");
	  okDialog_.setEnabled(true);
	  okDialog_.setVisible(true);
	}
    }
}
