package reversie1_1.client.gui;

import java.awt.Button;
import java.awt.TextField;
import java.awt.Dialog;
import java.awt.event.ActionListener;
import java.awt.event.ActionEvent;

import reversie1_1.client._RevClientImpl;

class OkRegListener implements ActionListener 
{
  _RevClientImpl client_;
  Dialog dialog_;
  Button registerButton_; 
  TextField name_, password1_, password2_;
  OkDialog okDialog_;
  
  public OkRegListener(_RevClientImpl client,
		       Dialog dialog,
		       Button registerButton,
		       TextField name,
		       TextField password1,
		       TextField password2,
		       OkDialog okDialog)
    {
      client_ = client;
      dialog_ = dialog;
      registerButton_ = registerButton; 
      name_ = name;
      password1_ = password1;
      password2_ = password2;
      okDialog_ = okDialog;
    }
  
  public void actionPerformed(ActionEvent e)
    {
      if(password1_.getText().equals(password2_.getText()))
	{
	  if(client_.register(name_.getText(), password1_.getText()))
	    {
	      dialog_.setEnabled(false);
	      dialog_.setVisible(false);
	      registerButton_.setEnabled(false);
	    }
	  else
	    {
	      okDialog_.setText("Invalid name");
	      okDialog_.setEnabled(true);
	      okDialog_.setVisible(true);
	    }
	}
      else
	{
	  okDialog_.setText("Passwords don't match");
	  okDialog_.setEnabled(true);
	  okDialog_.setVisible(true);
	}
    }
}
