package reversie1_1.server;

// CORBA stuff here
import ORG.omg.CORBA.*;   // holder classes
import ORG.omg.CosNaming.*;   // the naming service

import EDU.rutgers.CORBA.clntsrv.PortableServer.*; // ORB, POA, etc
import EDU.rutgers.CORBA.clntsrv.PortableServer.POAPackage.*; // exceptions

public class Server
{
  public static void main(String[] args)
    {
      // initialize the ORB
      ORB orb = ORB.init(args, null);

      // initialize POA
      POA poa = orb.POA_init();

      // create implementation
      _RevServerImpl servant = new _RevServerImpl();

      // register implementation
      orb.connect(servant);

      // creating the object reference
      ORG.omg.CORBA.Object reference = 
	orb.resolve_initial_references("NameService");
      
      NamingContext c = NamingContextHelper.narrow(reference);

      NameComponent nc = new NameComponent("ReversieServer", "");
      NameComponent[] path = {nc};

      c.rebind(path, servant);
      
      // displaying the servant's IOR
      System.out.println("Reversie Server's IOR:\n" + orb.object_to_string(servant));
    }
}




