package reversie1_1.server.corba;


import ORG.omg.CORBA.*;
import EDU.rutgers.CORBA.IOP.IOR;
import EDU.rutgers.CORBA.clntsrv.PortableServer.ObjectReference;
import EDU.rutgers.act.presentation.TypeWriter;
import EDU.rutgers.act.presentation.TypeReader;

public abstract class _RevServerImplBase
  extends EDU.rutgers.CORBA.clntsrv.PortableServer.Skeleton
  implements RevServer
{
  public boolean _is_a(
          String logicalTypeId
  )
    {
      return true;
    }

  protected void _is_aInvoke(TypeReader in, TypeWriter out)
    {
      String logicalTypeId = null;
      IOR ior;
      try
	{
          logicalTypeId = in.readString();
          boolean result = _is_a(logicalTypeId);
          out.writeBoolean(result);
          out.flush();
        }
      catch(java.io.IOException e)
        {
          System.out.println("Marshaling/unmarshaling error: " + e);
          System.exit(1);
        }
    }

  public abstract short logUser(
          String name,
          String password,
          reversie1_1.client.corba.RevClient clRef
  );

  protected void logUserInvoke(TypeReader in, TypeWriter out)
    {
      String name = null;
      String password = null;
      reversie1_1.client.corba.RevClient clRef = null;
      IOR ior;
      try
	{
          name = in.readString();
          password = in.readString();
          ior = new IOR();
          ior.read(in);
          clRef = reversie1_1.client.corba.RevClientHelper.narrow((ORG.omg.CORBA.Object) new ObjectReference(ior));
          short result = logUser(name, password, clRef);
          out.writeShort(result);
          out.flush();
        }
      catch(java.io.IOException e)
        {
          System.out.println("Marshaling/unmarshaling error: " + e);
          System.exit(1);
        }
    }

  public abstract short logGuest(
          reversie1_1.client.corba.RevClient clRef
  );

  protected void logGuestInvoke(TypeReader in, TypeWriter out)
    {
      reversie1_1.client.corba.RevClient clRef = null;
      IOR ior;
      try
	{
          ior = new IOR();
          ior.read(in);
          clRef = reversie1_1.client.corba.RevClientHelper.narrow((ORG.omg.CORBA.Object) new ObjectReference(ior));
          short result = logGuest(clRef);
          out.writeShort(result);
          out.flush();
        }
      catch(java.io.IOException e)
        {
          System.out.println("Marshaling/unmarshaling error: " + e);
          System.exit(1);
        }
    }

  public abstract boolean createUser(
          String name,
          String password,
          short id
  );

  protected void createUserInvoke(TypeReader in, TypeWriter out)
    {
      String name = null;
      String password = null;
      short id = 0;
      IOR ior;
      try
	{
          name = in.readString();
          password = in.readString();
          id = in.readShort();
          boolean result = createUser(name, password, id);
          out.writeBoolean(result);
          out.flush();
        }
      catch(java.io.IOException e)
        {
          System.out.println("Marshaling/unmarshaling error: " + e);
          System.exit(1);
        }
    }

  public abstract void logout(
          short id
  );

  protected void logoutInvoke(TypeReader in, TypeWriter out)
    {
      short id = 0;
      IOR ior;
      try
	{
          id = in.readShort();
          logout(id);
          out.flush();
        }
      catch(java.io.IOException e)
        {
          System.out.println("Marshaling/unmarshaling error: " + e);
          System.exit(1);
        }
    }

  protected void callMethod(String operation,
                            TypeReader in,
                            TypeWriter out)
    {
      if(operation.compareTo("_is_a") == 0)
        {
           _is_aInvoke(in, out);
        }
      else
      if(operation.compareTo("logUser") == 0)
        {
           logUserInvoke(in, out);
        }
      else
      if(operation.compareTo("logGuest") == 0)
        {
           logGuestInvoke(in, out);
        }
      else
      if(operation.compareTo("createUser") == 0)
        {
           createUserInvoke(in, out);
        }
      else
      if(operation.compareTo("logout") == 0)
        {
           logoutInvoke(in, out);
        }
      else
        { // the operation does not match any operation in this object!
          // send an exception here, but not implemented yet
          System.out.println("Unknown operation!");
        }
    }
}